package org.processmining.filterd.configurations;

import java.util.ArrayList;
import java.util.List;

import org.deckfour.xes.model.XLog;
import org.processmining.filterd.filters.Filter;
import org.processmining.filterd.gui.AbstractFilterConfigPanelController;
import org.processmining.filterd.gui.FilterConfigPanelController;
import org.processmining.filterd.parameters.Parameter;
import org.processmining.filterd.parameters.ParameterMultipleFromSet;
import org.processmining.filterd.tools.Toolbox;

public class FilterdAttributeComposeCategoricalConfig extends FilterdAbstractConfig {

	FilterConfigPanelController configPanel;

	public FilterdAttributeComposeCategoricalConfig(XLog log, Filter filterType) {
		super(log, filterType);
		parameters = new ArrayList<Parameter>();
		
		List<String> attributeNames = Toolbox.computeAttributes(log);

		ParameterMultipleFromSet relevantAttributes = new ParameterMultipleFromSet(
				"relevantAttributes",
				"Select the attributes that should be included first",
				new ArrayList<>(),
				attributeNames);
		
		parameters.add(relevantAttributes);
		
		ParameterMultipleFromSet relevantAttributes2 = new ParameterMultipleFromSet(
				"relevantAttributes2",
				"Select the attributes that should be included last",
				new ArrayList<>(),
				attributeNames);
		
		parameters.add(relevantAttributes2);
	}

	public boolean checkValidity(XLog candidateLog) {
		return true;
	}

	public boolean canPopulate(FilterConfigPanelController component) {
		return true;
	}

	public AbstractFilterConfigPanelController getConfigPanel() {
		configPanel = new FilterConfigPanelController("Compose Categorical Attribute Configuration", parameters, this);

		return configPanel;
	}
}
