package org.processmining.filterd.models;

import org.processmining.framework.annotations.AuthoredType;
import org.processmining.framework.util.HTMLToString;

@AuthoredType(typeName = "Analysis Notebook", affiliation = AuthoredType.TUE, author = "H.M.W. Verbeek", email = "h.m.w.verbeek@tue.nl")
public class Notebook implements HTMLToString {

	private String contents;
	
	public Notebook(String contents) {
		setContents(contents);
	}

	public String getContents() {
		return contents;
	}

	private void setContents(String contents) {
		this.contents = contents;
	}

	public String toHTMLString(boolean includeHTMLTags) {
		// TODO Auto-generated method stub
		return contents.replaceAll("&", "&amp;").replaceAll("<", "&lt;").replaceAll(">", "&gt;");
	}
	
}
