package org.processmining.filterd.plugins;

import java.io.File;
import java.io.IOException;

import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.filterd.models.AnalysisNotebook;
import org.processmining.filterd.models.Notebook;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "Export Analysis Notebook to file", returnLabels = {}, returnTypes = {}, level = PluginLevel.PeerReviewed, parameterLabels = {
		"String", "File" }, userAccessible = true)
@UIExportPlugin(description = "Export Analysis Notebook", extension = "xpmnb")
public class AnalysisNotebookExport extends NotebookExport {

	/**
	 * Export plug-in method.
	 * 
	 * @param context
	 *            variable not used
	 * @param notebookTemplate
	 *            XML representing the notebook configuration
	 * @param file
	 *            file to which we will write
	 * @throws IOException
	 */
	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "", email = "")
	@PluginVariant(requiredParameterLabels = { 0, 1 }, variantLabel = "Export Analysis Notebook")
	public void export(PluginContext context, AnalysisNotebook notebook, File file) throws IOException {
		export(context, (Notebook) notebook, file);
	}
}
