package org.processmining.filterd.plugins;

import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.filterd.gui.adapters.AnalysisNotebookModelAdapted;
import org.processmining.filterd.models.AnalysisNotebook;
import org.processmining.filterd.models.Notebook;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "Start Analysis Notebook on Event Log", returnLabels = {
		"Analysis Notebook on Event Log" }, returnTypes = { AnalysisNotebookModelAdapted.class }, parameterLabels = {
				"Analysis Notebook", "Log" }, level = PluginLevel.PeerReviewed, userAccessible = true)
public class AnalysisNotebookLoader extends NotebookLoader {

	/**
	 * Import plug-in method.
	 * 
	 * @param context
	 *            variable not used
	 * @param notebook
	 *            XML representing the notebook configuration
	 * @param log
	 *            input log which will be passed to the notebook
	 * @return serialized notebook
	 */
	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W. Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(variantLabel = "Start Analysis Notebook on Event Log", requiredParameterLabels = { 0, 1 })
	public AnalysisNotebookModelAdapted load(UIPluginContext context, AnalysisNotebook notebook, XLog log) {
		return new AnalysisNotebookModelAdapted(load(context, (Notebook) notebook, log));
	}

	public String getLabel(String label) {
		return "Analysis Notebook on Event Log " + label;
	}

}
