package org.processmining.filterd.plugins;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import org.processmining.filterd.models.Notebook;
import org.processmining.framework.plugin.PluginContext;

/**
 * Class representing the plug-in for exporting the Filterd notebook to the
 * workspace.
 */

public class NotebookExport {

	public void export(PluginContext context, Notebook notebook, File file) throws IOException {
		FileWriter fw = new FileWriter(file); // create a file writer with the given file
		fw.write(notebook.getContents()); // write the notebook template (represented as a XML i.e. string)
		fw.close(); // close the file writer
	}
}
